export default function setAvatarStore() {
  return {
    input: "",
    tabItem: "favorites",
    favoritesTabItem: "6K",
    lastsTabItem: "6K",
    abilityTabItem: "5K",

    setInput(input: string) {
      this.input = input;
    },

    setTabItem(tabItem: string) {
      this.tabItem = tabItem;
    },

    setFavoritesTabItem(favoritesTabItem: string) {
      this.favoritesTabItem = favoritesTabItem;
    },

    setLastsTabItem(lastsTabItem: string) {
      this.lastsTabItem = lastsTabItem;
    },

    setAbilitiesTabItem(abilitiesTabItem: string) {
      this.abilityTabItem = abilitiesTabItem;
    },
  };
}
